/*
Copyright (C) Christopher Fogelberg, Mengjie Zhang 2005

This file is part of VUWLGP.

VUWLGP is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VUWLGP is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VUWLGP; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
  
#include <iostream>

#include "Rand.h"

int main(int argc, char** argv) {
  VUWLGP::Rand::Init();

  std::cout << "Generating 5 numbers between 0 and 9, inclusive:" << std::endl;
  for(unsigned int i = 0; i < 5; ++i) {
    std::cout << "\t" << VUWLGP::Rand::Int(10) << std::endl;
  }

  std::cout << "Generating 5 floats between 0 and 1, inclusive: " << std::endl;
  for(unsigned int i = 0; i < 5; ++i) {
    std::cout << "\t" << VUWLGP::Rand::Uniform() << std::endl;
  }

  std::cout << "Generating 5 double ephemeral random constants: " << std::endl;
  for(unsigned int i = 0; i < 5; ++i) {
    std::cout << "\t" << VUWLGP::Rand::GenerateRandomConstant<double>() << std::endl;
  }

  std::cout << "Generating 5 unsigned int ephemeral random constants: " << std::endl;
  for(unsigned int i = 0; i < 5; ++i) {
    std::cout << "\t" << VUWLGP::Rand::GenerateRandomConstant<unsigned int>() << std::endl;
  }

  return 0;
}
